Summary:	Cairo/GTK+ Canvas
Summary(pl.UTF-8):	Płótno Cairo/GTK+
Name:		goocanvas
Version:	1.0.0
Release:	4
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/goocanvas/1.0/%{name}-%{version}.tar.bz2
# Source0-md5:	4858a22239e45cf374195bae520021c2
URL:		http://live.gnome.org/GooCanvas
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.7
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.10.0
Requires:	gtk+2 >= 2:2.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GooCanvas is a new canvas widget for GTK+ that uses the Cairo 2D
library for drawing. It has a model/view split, and uses interfaces
for canvas items and views, so you can easily turn any application
object into canvas items.

%description -l pl.UTF-8
GooCanvas to nowy widget "płótna" dla GTK+ wykorzystujący do rysowania
bibliotekę Cairo 2D. Ma podział model/widok i używa interfejsów dla
elementów i widoków, więc można łatwo zamieniać dowolny obiekt
aplikacji w elementy płótna.

%package devel
Summary:	Header files for goocanvas
Summary(pl.UTF-8):	Pliki nagłówkowe goocanvas
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.4.0
Requires:	glib2-devel >= 1:2.10.0
Requires:	gtk+2-devel >= 2:2.12.0

%description devel
Header files for goocanvas.

%description devel -l pl.UTF-8
Pliki nagłówkowe goocanvas.

%package static
Summary:	GooCanvas static library
Summary(pl.UTF-8):	Statyczna biblioteka GooCanvas
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GooCanvas static library.

%description static -l pl.UTF-8
Statyczna biblioteka GooCanvas.

%package apidocs
Summary:	goocanvas API documentation
Summary(pl.UTF-8):	Dokumentacja API goocanvas
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
goocanvas API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API goocanvas.

%package examples
Summary:	Example programs using goocanvas library
Summary(pl.UTF-8):	Przykładowe programy używające biblioteki goocanvas
Group:		X11/Development/Libraries

%description examples
Example programs using goocanvas library.

%description examples -l pl.UTF-8
Przykładowe programy używające biblioteki goocanvas.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# prepare and install examples
%{__make} clean -C demo
cp demo/*.c demo/*.h demo/*.png $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgoocanvas.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgoocanvas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgoocanvas.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgoocanvas.so
%{_includedir}/goocanvas-1.0
%{_pkgconfigdir}/goocanvas.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgoocanvas.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/goocanvas

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Jan 11 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/goocanvas.git;a=log;h=master

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 3c8bf43
- noarch apidoc

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> be4be15
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b6e5581
- updated gettext BR

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 4aaa0ee
- drop libtool file
- rel. 2

* Sat Mar 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 9d0c932
- updated to 1.0.0

* Fri Nov 19 2010 hawk <hawk@pld-linux.org> 19193b1
- release 3

* Wed Feb 10 2010 Marcin Banasiak <marcin.banasiak@gmail.com> da634f3
- release 2

* Mon Feb 01 2010 sparky <sparky@pld-linux.org> feda423
- BR: docbook-dtd412-xml

* Mon Feb 01 2010 Patryk Zawadzki <patrys@room-303.com> a843773
- gtkdocize

* Sun Oct 04 2009 wrobell <wrobell@pld-linux.org> cadc154
- show some mercy to those, who want to try compiled demos

* Thu Mar 19 2009 Patryk Zawadzki <patrys@room-303.com> b1b18d9
- 0.14

* Fri Feb 13 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 0ddbb08
- updated to 0.13
- added examples subpackage

* Thu Nov 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 67bc9c8
- outdated

* Thu Nov 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2932e50
- up to 0.12

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b4a69bb
- release 3

* Wed Jun 25 2008 hawk <hawk@pld-linux.org> 4754c30
- make it build

* Wed Jun 25 2008 hawk <hawk@pld-linux.org> 8eec0bc
- rename local variables in configure.in so the won't be treated as
  libtool macros

* Mon May 19 2008 Patryk Zawadzki <patrys@room-303.com> fa3e683
- 0.10

* Tue Sep 04 2007 Patryk Zawadzki <patrys@room-303.com> cbd0845
- rebuild

* Tue Sep 04 2007 Patryk Zawadzki <patrys@room-303.com> ac6d018
- ldconfig

